<template>
  <div class="stat-display" :style="`background-color: ${color}`">
    <div>
      <img :src="image" class="stat-image" alt="Stat image">
    </div>
    <div>
      <p>{{ value }}</p>
      <p>{{ title }}</p>
    </div>
  </div>
</template>

<script setup>

const props = defineProps({
  title: {
    type: String,
    required: true,
  },
  value: {
    type: String,
    required: true,
  },
  image: {
    type: String,
    required: true,
  },
  color: {
    type: String,
    default: "var(--main-color)",
  },
});
</script>

<style scoped>
.stat-display {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 150px;
  border-radius: 10px;
  color: var(--main-color-lighter);
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  overflow: hidden;
  position: relative;
  box-shadow: 0 0 10px #dfd7d7;
}
.stat-image {
  position: absolute;
  top: 0%;
  left: 20%;
  width: 100%;
  opacity: 0.1;
}
</style>